Subject: Re: Sorting environment
From: [email-masked] (Jim Balter)

11 Apr 1997 21:26:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ken Estes <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Ken Estes wrote:

>  To ensure that these simple conditions are met the environment must
> be sorted or then environment will enter an inconsistent state as a
> result of OS interfaces.  This means that the quotation from the
> manual is correct:
> 
> >   To do so, the application must explicitly create the =X environment
> >   variable strings, get them into alphabetical order (because
> >   Windows NT and Windows 95 use a sorted environment), and then put
> >   them into the environment block specified by
> 
> The application MUST get them into alphabetical order.

Yes, I agree that it must, and spawn.cc must be fixed to do so.
Nonetheless, this parenthetical comment, which is not to be found
elsewhere that I know of, does not constitute proper documentation
by any professional standard.

--
<J Q B>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".